Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 814825 - [abrt] geany-0.21-3.fc16: pango_fc_font_key_hash: Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
Summary: [abrt] geany-0.21-3.fc16: pango_fc_font_key_hash: Process /usr/bin/geany was ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0f970f6faf6a7460a9b54f9e49f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-20 19:07 UTC by rozanski.marcin
Modified: 2013-02-13 15:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 15:11:52 UTC


Attachments (Terms of Use)
File: dso_list (deleted)
2012-04-20 19:07 UTC, rozanski.marcin
no flags Details
File: maps (deleted)
2012-04-20 19:08 UTC, rozanski.marcin
no flags Details
File: backtrace (deleted)
2012-04-20 19:08 UTC, rozanski.marcin
no flags Details

Description rozanski.marcin 2012-04-20 19:07:53 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        geany
crash_function: pango_fc_font_key_hash
executable:     /usr/bin/geany
kernel:         3.3.2-1.fc16.x86_64
pid:            2640
pwd:            /home/martin
reason:         Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
time:           Fri 20 Apr 2012 07:43:04 PM BST
uid:            1000
username:       martin
xsession_errors: 

backtrace:      Text file, 7769 bytes
dso_list:       Text file, 7741 bytes
maps:           Text file, 38289 bytes

comment:
:Geany was running in background with two Hello World bash files open.
:I was using not related applications in the same time when  Geany just crashed.

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=quad.home
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=5e3988d8be87f2e4b3209a390000000d-1334944700.283383-1027575155
:GNOME_KEYRING_CONTROL=/tmp/keyring-QrNbFp
:IMSETTINGS_MODULE=none
:USER=martin
:USERNAME=martin
:MAIL=/var/spool/mail/martin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/martin/.local/bin:/home/martin/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/martin
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1874
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/martin
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=martin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-glQ2GLMyAc,guid=ceb0e389f1ffe9d4b25ef72400000c15
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/martin
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-martin-CMg7HY/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1882,unix/unix:/tmp/.ICE-unix/1882
:GPG_AGENT_INFO=/tmp/keyring-QrNbFp/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-QrNbFp/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2103-quad.home-geany-7_TIME4365954
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-geany.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2640

smolt_data:
:
:
:General
:=================================
:UUID: 04ea0159-65aa-49aa-ba11-1d0bef60d1c5
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5333.46
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q6700  @ 2.66GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 4
:CPU Speed: 2670
:System Memory: 7986
:System Swap: 30537
:Vendor: System manufacturer
:System: P5Q-PRO System Version
:Form factor: Desktop
:Kernel: 3.3.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11817:32902:0) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(32902:11808:4163:33491) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11809:4163:33491) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(4523:24865:4163:33504) pci, pata_marvell, STORAGE, 88SE6121 SATA II Controller
:(32902:14896:4163:33492) pci, None, SERIAL, 82801JI (ICH10 Family) SMBus Controller
:(32902:14880:4163:33492) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 4 port SATA IDE Controller #1
:(32902:14870:4163:33492) pci, None, PCI/ISA, 82801JIR (ICH10R) LPC Interface Controller
:(32902:14886:4163:33492) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 2 port SATA IDE Controller #2
:(32902:9294:4163:33492) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:14901:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #2
:(32902:14900:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #1
:(32902:14905:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #6
:(32902:14902:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #3
:(32902:14906:4163:33492) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #1
:(32902:14908:4163:33492) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #2
:(6505:4134:4163:33318) pci, ATL1E, ETHERNET, AR8121/AR8113/AR8114 Gigabit or Fast Ethernet
:(4545:22545:4163:33428) pci, firewire_ohci, FIREWIRE, IEEE 1394a Firewire Controller
:(32902:14912:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 1
:(32902:14920:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 5
:(32902:14910:4163:33534) pci, snd_hda_intel, MULTIMEDIA, 82801JI (ICH10 Family) HD Audio Controller
:(32902:14903:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #4
:(32902:14904:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #5
:(4318:3051:6618:29030) pci, snd_hda_intel, MULTIMEDIA, GF104 High Definition Audio Controller
:(4318:3619:6618:29030) pci, nouveau, VIDEO, N/A
:(32902:14922:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 6
:(4318:1764:5218:4450) pci, nouveau, VIDEO, G98 [GeForce 8400 GS]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_quad-lv_root / ext4 4096 4096 13092026 10397478 10266456 3276800 3148165 3148165
:/dev/sda2 /boot ext4 1024 1024 508745 435368 409768 128016 127785 127785
:/dev/mapper/vg_quad-lv_home /home ext4 4096 4096 23212870 22803842 21641398 5816320 5815351 5815351
:/dev/sdb1 WITHHELD fuseblk 4096 4096 488377087 332049325 332049325 1328295604 1328257938 1328257938
:

var_log_messages:
:Apr 20 00:40:38 quad yum[2498]: Installed: geany-0.21-3.fc16.x86_64
:Apr 20 19:43:04 quad kernel: [ 5777.961253] geany[2640]: segfault at 0 ip           (null) sp 00007fff6ba12928 error 14 in geany[400000+211000]
:Apr 20 19:43:05 quad abrt[3346]: Saved core dump of pid 2640 (/usr/bin/geany) to /var/spool/abrt/ccpp-2012-04-20-19:43:04-2640 (52117504 bytes)

Comment 1 rozanski.marcin 2012-04-20 19:07:59 UTC
Created attachment 579086 [details]
File: dso_list

Comment 2 rozanski.marcin 2012-04-20 19:08:02 UTC
Created attachment 579087 [details]
File: maps

Comment 3 rozanski.marcin 2012-04-20 19:08:05 UTC
Created attachment 579088 [details]
File: backtrace

Comment 4 Fedora End Of Life 2013-01-16 14:11:06 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-13 15:11:55 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.